Skip to main content
POST
Create a bundle

Authorizations

x-api-key
string
header
required

Location/organization API key.

Headers

Idempotency-Key
string
required

Unique key that makes this create safe to retry; replays return the original response.

Path Parameters

location_id
string
required
catalog_id
string
required

Body

application/json
id
string
required
Example:

"classic-meal"

name
string
required
Example:

"Classic Meal"

category_id
string
required
Example:

"meals"

price
object
required
lines
object[]
required
Minimum array length: 1
description
string | null
image_url
string<uri> | null
disabled
boolean
default:false

Whether the resource is hidden and cannot be ordered.

out_of_stock
boolean
default:false

Whether the resource is temporarily unavailable while remaining visible.

restrictions
object[]

Availability windows. The resource is available when any restriction matches.

Maximum array length: 100
price_overrides
object[]

Conditional prices. The matching override with the most specific conditions wins.

Maximum array length: 100

Response

The created bundle.

id
string
required
Example:

"classic-meal"

name
string
required
Example:

"Classic Meal"

category_id
string
required
Example:

"meals"

price
object
required
disabled
boolean
default:false
required

Whether the resource is hidden and cannot be ordered.

out_of_stock
boolean
default:false
required

Whether the resource is temporarily unavailable while remaining visible.

restrictions
object[]
required

Availability windows. The resource is available when any restriction matches.

Maximum array length: 100
price_overrides
object[]
required

Conditional prices. The matching override with the most specific conditions wins.

Maximum array length: 100
lines
object[]
required
Minimum array length: 1
object
enum<string>
required
Available options:
bundle
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
image_url
string<uri> | null